MAGIX Help Center

Error message: "Microsoft .NET Framework 4.6 required"

If you are given the error message above when using the Travel Route Animation feature, we recommend reinstalling Microsoft .NET Framework.

Go to "Programs and Features" in the Windows Control Panel and uninstall Microsoft .NET Framework 4.5. Then download and install .NET Framework 4.6.1.

Download Microsoft .NET Framework